## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:     image-garden
Version:  0.2
Release:  %autorelease
Summary:  Tool for creating test virtual machines

License:  Apache-2.0
URL:      https://gitlab.com/zygoon/image-garden
Source:   %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildArch:     noarch
BuildRequires: make
BuildRequires: shellcheck 
Requires:      edk2-aarch64
Requires:      edk2-ovmf
Requires:      genisoimage
Requires:      make
Requires:      qemu-img
Requires:      qemu-system-aarch64-core
Requires:      qemu-system-x86-core
Requires:      wget
Requires:      whois

%description
Image Garden downloads, initializes and optionally operates virtual machine
images for popular operating systems. All the systems are designed for
testing and come configured with well-known username and password, usually
matching the name of the system.

%prep
%autosetup -n %{name}-v%{version}

%build
%make_build

%check
make check

%install
%make_install prefix=%{_prefix}

%files
%{_includedir}/image-garden.mk
%{_bindir}/image-garden
%{_mandir}/man1/image-garden.1.*
%license LICENSE
# SPDX meta-data for the NEWS file is not worth installing.
%exclude %{_docdir}/image-garden/NEWS.license
%doc README.md NEWS

%changelog
## START: Generated by rpmautospec
* Wed Mar 19 2025 Zygmunt Krynicki <me@zygoon.pl> - 0.2-1
- New upstream release 0.2

* Sat Jan 25 2025 Zygmunt Krynicki <me@zygoon.pl> - 0.1.1-1
- Initial import after review
## END: Generated by rpmautospec
